libhttppp ..

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libhttppp::HttpEvent Class Reference
Inheritance diagram for libhttppp::HttpEvent:
[legend]
Collaboration diagram for libhttppp::HttpEvent:
[legend]

## Public Member Functions
| HttpEvent (std::vector< netplus::socket * > serversocket, int timeout=1000)
virtual void | RequestEvent (HttpRequest &curreq, const int tid, ULONG_PTR args)
virtual void | ResponseEvent (HttpRequest &curreq, const int tid, ULONG_PTR args)
virtual void | ConnectEvent (HttpRequest &curreq, const int tid, ULONG_PTR args)
virtual void | DisconnectEvent (HttpRequest &curreq, const int tid, ULONG_PTR args)
virtual bool | Http2RequestEvent (netplus::con &curcon, const int tid, ULONG_PTR args, const std::string &alpn, const netplus::ssl::FramingCallback &frame_cb)
virtual void | Http3StreamEvent (netplus::socket *sock, uint64_t stream_id, const std::vector< uint8_t > &data, bool fin)

## Protected Member Functions
void | CreateConnection (std::shared_ptr< netplus::con > &res)

## Protected Attributes
std::string | _altSvcH3

The documentation for this class was generated from the following files:

- src/httpd.h
- src/httpd.cpp